Skip to main content
GET
https://api.aisa.one/apis/v1
/
agentmail
/
inboxes
/
{inbox_id}
/
events
List Inbox Events
curl --request GET \
  --url https://api.aisa.one/apis/v1/agentmail/inboxes/{inbox_id}/events \
  --header 'Authorization: Bearer <token>'
{
  "count": 123,
  "events": [
    {
      "organization_id": "<string>",
      "pod_id": "<string>",
      "inbox_id": "<string>",
      "event_id": "<string>",
      "message_id": "<string>",
      "label": "<string>",
      "event_at": "2023-11-07T05:31:56Z",
      "created_at": "2023-11-07T05:31:56Z"
    }
  ],
  "limit": 123,
  "next_page_token": "<string>"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Headers

Authorization
string
required

Bearer authentication

Path Parameters

inbox_id
string
required

The ID of the inbox.

Query Parameters

limit
integer

Limit of number of items returned.

page_token
string

Page token for pagination.

ascending
boolean

Sort in ascending temporal order.

Response

Response with status 200

count
integer
required

Number of items returned.

events
InboxEvent · object[]
required

Ordered by event_id descending.

limit
integer

Limit of number of items returned.

next_page_token
string

Page token for pagination.